View Issue Details

IDProjectCategoryView StatusLast Update
10529Bug reports[All Projects] Survey participants (Tokens)public2019-04-30 09:10
ReporterDenisChenu Assigned ToDenisChenu  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version2.50.x 
Target VersionFixed in Version4.0.0dev 
Summary10529: Unable to send email via office365 except with hard system
Description

When we try to use an existing account smtp o office365 : it's hard to find the good system to use

Steps To Reproduce

Find a client with a office365.com account ;)

Settings must be:
smtp.office365.com:587
TLS

BUT :
Return- Path must be the smtp account user (easy with bounce account type)
From must be the smtp user : hard : taken by the admin email

Additional Information

I do a plugin for this : send a pull request to be in core plugin : https://github.com/LimeSurvey/LimeSurvey/tree/master/application/core/plugins/oldUrlCompat

Vut think place is better in https://github.com/LimeSurvey/LimeSurvey/tree/master/plugins like AuditLog

There are very few user who need this plugin.

TagsNo tags attached.
Complete LimeSurvey version number (& build)160219
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 09668 resolvedDenisChenu Feature requests attachment in beforeTokenEmail 
related to 10533 resolvedDenisChenu Feature requests Global beforeSendEmail event 
related to 14007 closedLouisGac Bug reports Bug in Mailing-Function when using SMTP 

Activities

DenisChenu

DenisChenu

2016-02-19 14:02

developer   ~35455

Arg .... beforeTokenEmail is buggy .....

Adding a better event for whole email .... in SendEmailMessage directly seems a better idea.

This can be done with 2.06 event , but need reconstruct a whole part.

I search for report connected

DenisChenu

DenisChenu

2016-02-19 14:15

developer   ~35457

Last edited: 2016-02-19 14:15

View 2 revisions

reset to new : need some feature before fix in core.

DenisChenu

DenisChenu

2016-02-22 10:02

developer   ~35502

@LouisGac : did you try ?

Saturday try:

  • email@office365 in SMTP
  • anotheremail@office365 in Bounce : broke
    => Broke
    And
  • email@office365 in SMTP
  • email@office365 in Bounce
  • anotheremail@office365 in From
    => Broke
LouisGac

LouisGac

2016-02-22 10:23

manager   ~35510

I don't want to loose time with anything related to Microsoft ( unless been threaten of hard and painful punishment by Carsten ;-) )

My point of view is that we should not add email Office365 support in the kernel, and we should remove MSSQL support from the kernel, and all that Microsoft related stuff should be offered as non-official external plugins, or as official but paying plugins.

Debugging the interface for IE9 and IE10 and IE11 and Edge is yet too much work. The day Microsoft will respect the standards, or hire true coders or open its source code, then I'll think about it. For now, the single word "Microsoft" just hurt my ears, wound my brain, bleed my eyes.

c_schmitz

c_schmitz

2016-02-23 08:51

administrator   ~35568

Version 2.50+ Build 160222 released

DenisChenu

DenisChenu

2019-03-27 14:19

developer   ~51167

https://github.com/LimeSurvey/LimeSurvey/commit/de63762472630ab797db4ae65899a53c165eef70

Related Changesets

LimeSurvey: master dbbcc2ac

2016-02-19 13:25:12

DenisChenu

Details Diff
Dev: preparing 10529 quick bugfix
Dev: adding $bounce for this plugin, but must have more fix for a better send alternative
Dev: @todo test with a real plugin for $this->sMessage=$event->get('message', $this->sMailMessage);
Affected Issues
10529
mod - application/controllers/RegisterController.php Diff File
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2016-02-19 12:20 DenisChenu New Issue
2016-02-19 12:20 DenisChenu Assigned To => DenisChenu
2016-02-19 12:20 DenisChenu Status new => assigned
2016-02-19 14:02 DenisChenu Note Added: 35455
2016-02-19 14:05 DenisChenu Relationship added related to 09668
2016-02-19 14:14 DenisChenu Relationship added related to 10533
2016-02-19 14:14 DenisChenu Assigned To DenisChenu =>
2016-02-19 14:15 DenisChenu Note Added: 35457
2016-02-19 14:15 DenisChenu Status assigned => new
2016-02-19 14:15 DenisChenu Note Edited: 35457 View Revisions
2016-02-19 14:26 DenisChenu Changeset attached => LimeSurvey master dbbcc2ac
2016-02-22 09:58 LouisGac Status new => resolved
2016-02-22 09:58 LouisGac Resolution open => fixed
2016-02-22 09:58 LouisGac Assigned To => LouisGac
2016-02-22 10:02 DenisChenu Note Added: 35502
2016-02-22 10:23 LouisGac Note Added: 35510
2016-02-23 08:51 c_schmitz Note Added: 35568
2016-02-23 08:51 c_schmitz Status resolved => closed
2016-12-08 10:39 c_schmitz Category Tokens => Survey participants (Tokens)
2018-08-29 14:53 DenisChenu Relationship added related to 14007
2019-03-27 14:19 DenisChenu Assigned To LouisGac => DenisChenu
2019-03-27 14:19 DenisChenu Status closed => resolved
2019-03-27 14:19 DenisChenu Fixed in Version => 4.0.0dev
2019-03-27 14:19 DenisChenu Note Added: 51167
2019-04-30 09:10 c_schmitz Status resolved => closed